| All Verbs | /RestApi/search/testConnection | ||
|---|---|---|---|
| All Verbs | /RestApi/search/testConnection |
export class TestConnectionRequest
{
public AzureServiceAdminKey: string;
public AzureSearchServiceName: string;
public constructor(init?: Partial<TestConnectionRequest>) { (Object as any).assign(this, init); }
}
export class TestConnectionResponse
{
public Result: boolean;
public constructor(init?: Partial<TestConnectionResponse>) { (Object as any).assign(this, init); }
}
TypeScript TestConnectionRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/search/testConnection HTTP/1.1
Host: www.asg.com.au
Accept: application/json
Content-Type: application/json
Content-Length: length
{"AzureServiceAdminKey":"String","AzureSearchServiceName":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"Result":false}